Name:           grfcodec
Version:        0.9.11
Release:        0.2.r2111%{?dist}
Summary:        A suite of programs to modify Transport Tycoon Deluxe's GRF files
Group:          Development/Tools
License:        GPLv2+
URL:            http://www.ttdpatch.net/grfcodec/
# svn export -r2111 svn://svn.ttdpatch.net/misc/grfcodec
# tar -czf grfcodec-r2111.tar.gz grfcodec
Source0:        grfcodec-r2111.tar.gz
# use gas, not nasm; fix build problems with gcc4.4; ignore upx failures; don't
# pass -O3 to gcc
Patch0:         fedora-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel
BuildRequires:  upx


%description
A suite of programs to modify Transport Tycoon Deluxe's GRF files.


%prep
%setup -q -n %{name}
%patch0 -p 1 -b .fedora

for f in *.txt; do
  iconv -f iso8859-1 -t utf-8 $f >$f.conv 
  touch -r $f $f.conv
  mv $f.conv $f
done


%build
V=1 CFLAGAPP="%{optflags}" make %{?_smp_mflags}


%install
rm -rf %{buildroot}
for file in grfcodec grfdiff grfmerge; do
  install -D -m 755 $file %{buildroot}%{_bindir}/$file
done


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changelog COPYING grfcodec.txt grftut.txt grf.txt todo.txt
%{_bindir}/*


%changelog
* Sun May 03 2009 Iain Arnell <iarnell@gmail.com> 0.9.11-0.2.r2111
- fix license tag (GPLv2+)
- don't pass -O3 to gcc
- doesn't BR subversion

* Sat May 02 2009 Iain Arnell <iarnell@gmail.com> 0.9.11-0.1.r2111
- initial release
